using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace _1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = Convert.ToInt32(s[0]);
            int l = Convert.ToInt32(s[1]);
            int[] h = new int[n];
            h = Array.ConvertAll(Console.ReadLine().Split(), Convert.ToInt32);
            int ind = -1;
            for (int i = 0; i < n; i++)
            {
                if (l >= h[i])
                {
                    ind = i + 1;
                    break;
                }
            }
            Console.WriteLine(ind);
        }
    }
}